#pragma once

#include <inttypes.h>

void Pattern_Init(void);

void Pattern_SetTrigger(uint16_t t1, uint16_t t2);

void 	Pattern_SetTimerParameter(uint8_t prescaler, uint16_t compare_value);

uint8_t		Pattern_Triggered(void);

void Pattern_SetOutput(uint16_t out);
uint16_t Pattern_GetInput(void);

void Pattern_Sample(uint8_t n);
void Pattern_Pattern(uint8_t n);
void Pattern_LogicOp(uint8_t n);

void Pattern_SetServo(uint16_t ocrs[8]);


void Pattern_AddOutputData(uint16_t	out_data);
uint8_t Pattern_GetInputData(uint16_t *data);


void Pattern_Process(void);
